import processing.serial.*;

import controlP5.*; //import ControlP5 library
import processing.serial.*;

Serial port;

ControlP5 cp5; //create ControlP5 object
PFont font;
PFont font2;

color col;
Serial serialMonitor;
String prompt;

ColorPicker cp;

void setup(){ //Same as setup in arduino
  
  size(900, 900);                          //Window size, (width, height)
  port = new Serial(this, "COM4", 9600);   //Change this to your port
  
  cp5 = new ControlP5(this);
  
  font = createFont ("Georgia Bold", 20);
  font2 = createFont ("Georgia Bold",15);
  
cp = cp5.addColorPicker("PICKER")
        .setPosition(500,100)
        .setColorValue(color(255,128,0,128))
        ;
       
  
Group configGroup = cp5.addGroup("CONFIGURATION")
    .setPosition(90,100)
    .setWidth(150)
    .setHeight(30)
    .setFont(font2)
    .setBackgroundColor(color(0,0))
  ;
  
  cp5.addButton("PICK_ALL")  // The button
    .setPosition(10, 10)     // x and y relative to the group
    .setSize(160, 150)       // (width, height)
    .setFont(font)
    .setGroup(configGroup)   // add it to the group
  ;     
  
  
  cp5.addButton("PICK_ONE")  // The button
    .setPosition(10, 200)    // x and y relative to the group
    .setSize(160, 150)       // (width, height)
    .setFont(font) 
    .setGroup(configGroup)   // add it to the group
  ;   
  
}


void draw(){  //Same as loop in arduino

  background(150, 0 , 150); //Background colour of window (r, g, b) or (0 to 255)
    
}

public void controlEvent(ControlEvent c){
  
  if(c.isFrom(cp)){
    int r = int(c.getArrayValue(0));
    int g = int(c.getArrayValue(1));
    int b = int(c.getArrayValue(2));
    int a = int(c.getArrayValue(3));
    col = color(r,g,b,a);
  }
}

void keyPressed(){
  
  while(serialMonitor.available() > 0)
  {
    prompt = serialMonitor.readStringUntil (10);
  }
  
  
  println(keyCode);
  
  String sendColor = nf(int(red(col)),3) + "," + nf(int(green(col)),3) + "," + nf(int(blue(col)),3);
  
  println(sendColor);
  serialMonitor.write(sendColor);
  
}

void PICKER(){
  port.write('2');
}

void PICK_ALL(){
  
  port.write('t');
  
}

void PICK_ONE(){
  
  port.write('l');
  
}
